> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Checkpoint



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/put
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /checkpoints/put:
    post:
      tags:
        - Checkpoints
      summary: Put Checkpoint
      operationId: put_checkpoint_checkpoints_put_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutCheckpointRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PutCheckpointResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PutCheckpointRequest:
      properties:
        thread_id:
          type: string
          title: Thread ID
        checkpoint_ns:
          type: string
          title: Checkpoint namespace
          default: ''
        checkpoint_id:
          type: string
          title: Checkpoint ID
        parent_checkpoint_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent checkpoint ID
        checkpoint:
          additionalProperties: true
          type: object
          title: Checkpoint JSONB payload
        metadata:
          additionalProperties: true
          type: object
          title: Checkpoint metadata
        blobs:
          items:
            $ref: '#/components/schemas/BlobData'
          type: array
          title: Channel blob data
      type: object
      required:
        - thread_id
        - checkpoint_id
        - checkpoint
      title: PutCheckpointRequest
    PutCheckpointResponse:
      properties:
        thread_id:
          type: string
          title: Thread Id
        checkpoint_ns:
          type: string
          title: Checkpoint Ns
        checkpoint_id:
          type: string
          title: Checkpoint Id
      type: object
      required:
        - thread_id
        - checkpoint_ns
        - checkpoint_id
      title: PutCheckpointResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlobData:
      properties:
        channel:
          type: string
          title: Channel name
        version:
          type: string
          title: Channel version
        type:
          type: string
          title: Serialization type tag
        blob:
          anyOf:
            - type: string
            - type: 'null'
          title: Base64-encoded binary data
      type: object
      required:
        - channel
        - version
        - type
      title: BlobData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````